Description: Fix unittests
Author: Martin <debacle@debian.org>
Origin: vendor
Last-Update: 2024-02-15
---
This patch header follows DEP-3: http://dep.debian.net/deps/dep3/
--- a/tests/test_image/test_base.py
+++ b/tests/test_image/test_base.py
@@ -112,7 +112,10 @@
             with pytest.raises(OSError):
                 BlockImage.from_file(dir_path)
         with pytest.raises(UnidentifiedImageError):
-            BlockImage.from_file("LICENSE")
+            try:
+                BlockImage.from_file("LICENSE")
+            except FileNotFoundError:
+                BlockImage.from_file("../../../LICENSE")
 
         # Ensure size arguments get through
         with pytest.raises(TypeError, match="'width' and 'height'"):
